--[[
 -- @Description:
 -- Hello , DiaoSi ~ ( or not ? ) ,glad you saw my comment
 -- If you think my mod is okay , you can sponsor my breakfast by a tiny amount donation  ($_$)
 -- paypal:td1madao@163.com     alipay:td1madao@163.com
 -- If any question ,Please email me
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- @version 1.0.0
 -- @author td1madao
 -- @email td1madao@163.com
 -- @qq 360810498
 -- @date 16/8/6
 ]]
AddClassPostConstruct("widgets/controls", function(self)
    if self.owner and self.owner:HasTag("rivendst") then
        local player = self.owner
        local skillbar = require("widgets/rivendstskillbar")
        local hud = "images/td_riven_dst_hud.xml"
        player.td1madaoRivendstSkillControls = self
        self:AddChild(skillbar(hud, "j.tex", MADAO.RIVENDST_BACKGROUND_X, MADAO.RIVENDST_BACKGROUND_Y, false, nil, player, nil))
    end
end)
